Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

Imports DevExpress.ExpressApp.ConditionalAppearance
Imports DevExpress.ExpressApp.CloneObject

'-- Paraméterek, enumok
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CRM_Leads_Activity
    Inherits MySchedule
    Private _CRM_Leads As CRM_Leads
    Private _CRM_Opportunities As CRM_Opportunities

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Association("CRM_Leads-CRM_Leads_Activity", GetType(CRM_Leads))> _
    Property CRM_Leads As CRM_Leads
        Get
            Return _CRM_Leads
        End Get
        Set(value As CRM_Leads)
            SetPropertyValue("CRM_Leads", _CRM_Leads, value)
        End Set
    End Property
    Public Property CRM_Opportunities As CRM_Opportunities
        Get
            Return _CRM_Opportunities
        End Get
        Set(value As CRM_Opportunities)
            SetPropertyValue("CRM_Opportunities", _CRM_Opportunities, value)
        End Set
    End Property
    <Association("CRM_Leads_Activity-CRM_Leads_Activity_Task", GetType(CRM_Leads_Activity_Task))> _
    ReadOnly Property CRM_Leads_Activity_Task As XPCollection(Of CRM_Leads_Activity_Task)
        Get
            Return GetCollection(Of CRM_Leads_Activity_Task)("CRM_Leads_Activity_Task")
        End Get
    End Property
End Class



